#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int niz[n];
    for(int i =0; i<n; i++){
        cin>>niz[i];
    }
    for(int i =0; i<n; i++){
        int proizvodi[niz[i]];
        int cif=niz[i];
        proizvodi[0]=1;
        for(int j=1; j<niz[i]; j++){
            int proizvod=1;
            int x=j+1;
            while(x>10){
                proizvod*=x%10;
                x/=10;
            }
            proizvod*=x%10;
            proizvodi[j]=proizvod;
            cout<<proizvodi[j]<<endl;
        }
        for(int j=0; j<niz[i]; j++){
            for(int k=j+1; k<niz[i]; k++){
                if(proizvodi[j]==proizvodi[k]){
                    cif--;
                }
            }
        }
        cout<<cif<<endl;

    }
    return 0;
}